<div class="float-container clickable-trough">
  <div class="menu-flex-container">
    <div class="workspace-container">
      <div class="workspace">
        <ng-content #workspaceContent></ng-content>
      </div>
    </div>
    <div class="right-menu-content-container clickable">
      <app-slides-container></app-slides-container>
      <app-results-container></app-results-container>
    </div>
    <div class="btn-right-container">
      <app-menu-button
        *ngrxLet="slidesMenu$ as slidesMenu"
        [buttonValue]="slidesMenu.id"
        [enableTopBroderBoxShadow]="false"
        [selected]="slidesMenu.selected"
        (buttonClicked)="onMenuButtonClick($event)">
        <mat-icon>{{slidesMenu.icon}}</mat-icon>
      </app-menu-button>
    </div>
  </div>
</div>
